angular.module('admin')
.controller('SellerListController', function($scope, $http, $route, $window){
  $scope.seller = [];
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestSeller();
  };

  $scope.requestSeller = function(){
    $http.get('../../api/cvto/sellers')
    .success(function(seller){
      $scope.seller = seller;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };
})
.controller('DetailsSellerControler', function($scope, $http, $route, $routeParams, $window){
  $scope.seller = {};
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestSellerDetails();
  };

  $scope.reload = function(){
    $scope.requestSellerDetails();
  };

  $scope.requestSellerDetails = function(){
    $http.get('../../api/cvto/sellers/details/'+$routeParams.id)
    .success(function(seller){
      $scope.seller = seller;
      $scope.dock = seller.warehouseId;
      $http.get('../../api/cvto/sellers/'+$scope.dock)
      .success(function(orders) {
        $scope.orders = orders;
      })
      .error(function(err){
        $scope.mensagem = 'Seller não possui vendas';
      })
    })
    .error(function(err){
      $scope.mensagem = 'Não foi possível listar os dados do seller';
    })
  };

  $scope.sub = function(){
    var start = $scope.start;
    var final = $scope.final;

    var yearStart = start.getFullYear();
    var monthStart = start.getMonth() < 9 ? "0" + (start.getMonth() + 1) : (start.getMonth() + 1);
    var dayStart = start.getDate() < 10 ? "0" + start.getDate() : start.getDate();

    var yearFinal = final.getFullYear();
    var monthFinal = final.getMonth() < 9 ? "0" + (final.getMonth() + 1) : (final.getMonth() + 1);
    var dayFinal = final.getDate() < 10 ? "0" + final.getDate() : final.getDate();

    var dateStart = yearStart+"-"+monthStart+"-"+dayStart;
    var dateFinal = yearFinal+"-"+monthFinal+"-"+dayFinal;

    $http.get("../../api/cvto/seller-orders/"+$scope.dock+"/"+dateStart+"/"+dateFinal)
    .success(function(orders){
      $scope.orders = orders;
    })
    .error(function(err){
      $scope.mensagem = "Não foi possível realizar sua busca, por favor tente novamente!";
    })
  };

})
.controller('SellerOrdersController', function($scope, $http, $route, $window){
  $scope.seller = {};
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  $scope.inicio = function(){
    $scope.requestOrderSeller();
  };

  $scope.requestOrderSeller = function(){
    $http.get('../../api/cvto/orders')
    .success(function(seller){
      $scope.seller = seller;
    })
    .error(function(err){
      console.log(err);
      $scope.mensagem = 'Não foi possível listar os seus sellers';
    });
  };
})
.controller('NewSellerControler', function($scope, $http, $route, $routeParams, $window){
  $scope.seller = {};
  $scope.mensagem = '';
  $scope.name = $window.sessionStorage.name;

  if ($routeParams.id) {
    $http.get('../../api/cvto/sellers/details/'+$routeParams.id)
    .success(function(seller){
      $scope.seller = seller;
    })
    .error(function(err){
      $scope.mensagem = 'Não foi possível listar dados do seller';
    })
  };

  $scope.submeter = function(){
    if ($scope.sellerForm.$valid) {
      if ($routeParams.id) {
        $http.put('../../api/cvto/sellers/details/'+$routeParams.id, $scope.seller)
        .success(function(){
          $scope.mensagem = 'Seller alterado com sucesso!';
        })
        .error(function(){
          $scope.mensagem = 'Não foi possível alterar o seller';
        });
      }else {
        $http.post('../../api/cvto/sellers', $scope.seller)
        .success(function(){
          $scope.mensagem = 'Seller cadastrado com sucesso!';
          $scope.seller = {};
        })
        .error(function(){
          $scope.mensagem = 'Não foi possível cadastrar seller';
        })
      }
    }
  };
});
